<?php
namespace Ig\IgRuckzuckevent\Controller;

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Utility\DebuggerUtility;
use Ig\IgRuckzuckevent\Domain\Model\Feedback;
use Internetgalerie\IgDynval\Controller\DynamicValidationActionController;


class FeedbackController extends ActionController
{
    use DynamicValidationActionController;

    /**
     * The repository for feedbacks
     *
     * @var \Ig\IgRuckzuckevent\Domain\Repository\FeedbackRepository
     */
    protected $feedbackRepository = null;

    /**
     * @param \Ig\IgRuckzuckevent\Domain\Repository\FeedbackRepository $feedbackRepository
     */
    public function injectFeedbackRepository(\Ig\IgRuckzuckevent\Domain\Repository\FeedbackRepository $feedbackRepository)
    {
        $this->feedbackRepository = $feedbackRepository;
    }

    public function initializeView($view)
    {
        $this->view->assign('controller', 'Feedback');
        $this->view->assign('pageUid', $GLOBALS['TSFE']->id);
    }

    /**
     * Liast all events with possibility to sort and filter them
     *
     * @return void
     */
    public function listAction()
    {
        $feedbacks = $this->feedbackRepository->findAll();
        $this->view->assign('feedbacks', $feedbacks);
    }

    /**
     * Liast all events with possibility to sort and filter them
     *
     * @return void
     */
    public function organizerListAction()
    {
        $feedbacks = $this->feedbackRepository->findAll();
        $this->view->assign('feedbacks', $feedbacks);
    }

    /**
     * New action
     *
     * @return void
     */
    public function newAction()
    {
    }

    /**
     * Create action
     *
     * @param \Ig\IgRuckzuckevent\Domain\Model\Feedback $newFeedback
     * @TYPO3\CMS\Extbase\Annotation\Validate("Internetgalerie\IgDynval\Validation\Validator\DynamicValidator", param="newFeedback")
     * @return void
     */
    public function createAction(Feedback $newFeedback)
    {
        $this->feedbackRepository->add($newFeedback);
        $this->redirect('list');
    }

    /**
     * Edit action
     *
     * @param \Ig\IgRuckzuckevent\Domain\Model\Feedback $feedback
     * @return void
     * @TYPO3\CMS\Extbase\Annotation\IgnoreValidation $feedback
     */
    public function editAction(Feedback $feedback)
    {
        $this->view->assign('feedback', $feedback);
    }

    /**
     * Update action
     *
     * @param \Ig\IgRuckzuckevent\Domain\Model\Feedback $feedback
     * @TYPO3\CMS\Extbase\Annotation\Validate("Internetgalerie\IgDynval\Validation\Validator\DynamicValidator", param="feedback")
     * @return void
     */
    public function updateAction(Feedback $feedback)
    {
        $this->feedbackRepository->update($feedback);
        $this->redirect('list');
    }

    /**
     * Delete action
     *
     * @param \Ig\IgRuckzuckevent\Domain\Model\Feedback $feedback
     * @return void
     */
    public function deleteAction(Feedback $feedback)
    {
        $this->feedbackRepository->remove($feedback);
        $this->redirect('list');
    }

}
